Name:           netbsd-iscsi
Version:        20071205
Release:        2%{?dist}
Summary:        User-space implementation of iSCSI target from NetBSD project

Group:          System Environment/Daemons
License:        BSD
URL:            http://NetBSD.org/
Source0:        http://www.alistaircrooks.co.uk/src/netbsd-iscsi-%{version}.tar.gz
Patch0:         netbsd-iscsi-20071205-linux.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
NetBSD iSCSI is an iSCSI target following the iSCSI RFC 3720.  It is based
on the BSD-licensed Intel iSCSI reference model.  It has been tried and
tested with the Microsoft iSCSI initiator, version 1.06.


%prep
%setup -q
%patch0 -p1 -b .linux


%build
cd src
%configure
make %{?_smp_mflags} all


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/iscsi
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -d $RPM_BUILD_ROOT%{_mandir}/man5

install -m 755 src/iscsi-target $RPM_BUILD_ROOT%{_sbindir}
install -m 644 src/iscsi-target.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 src/targets      $RPM_BUILD_ROOT%{_sysconfdir}/iscsi
install -m 644 src/targets.5    $RPM_BUILD_ROOT%{_mandir}/man5


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/iscsi
%config(noreplace) %{_sysconfdir}/iscsi/targets
%{_sbindir}/iscsi-target
%{_mandir}/man5/targets.5*
%{_mandir}/man8/iscsi-target.8*
%doc doc/license doc/README doc/README_OSD
%doc doc/COMPATIBILITY doc/FAQ doc/PERFORMANCE


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20071205-2
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Lubomir Kundrak <lkundrak@redhat.com> 20071205-1
- Initial package
